<div class="container">
  <div class="row">
    <hr />
    <div class="create-post-container col-md-12">
      <form class="post-form" [formGroup]="createPostForm" (ngSubmit)="createPost()">
        <div class="form-group">
          <div class="create-post-heading">Create Post</div>
          <hr />
          <input type="text" [formControlName]="'postName'" class="form-control" style="margin-top: 5px"
            placeholder="Title">

          <editor [formControlName]="'post'" [init]="{
                      height: 200,
                      width: 1200,
                      menubar: false,
                      plugins: [
                        'advlist autolink lists link image charmap print preview anchor',
                        'searchreplace visualblocks code fullscreen',
                        'insertdatetime media table paste code help wordcount'
                      ],
                      toolbar:
                        'undo redo | formatselect | bold italic backcolor | \
                        alignleft aligncenter alignright alignjustify | \
                        bullist numlist outdent indent | removeformat | help'
                    }"></editor>
          <span>
            <div style="margin-top: 5px" class="float-right">
              <button (click)="discardPost()" class="btnDiscard">Discard</button>
              <button class="btnCreatePost">Post</button>
            </div>
          </span>
        </div>
      </form>
    </div>
  </div>
</div>